Vulnerability CVE-2020-13318


Published: 2020-09-14

Description:
A vulnerability was discovered in GitLab versions before 13.0.12, 13.1.10, 13.2.8 and 13.3.4. GitLabs EKS integration was vulnerable to a cross-account assume role attack.

Type:

CWE-863

(Incorrect Authorization)

CVSS2 => (AV:N/AC:M/Au:S/C:P/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.9/10
4.9/10
6.8/10
Exploit range
Attack complexity
Authentication
Remote
Medium
Single time
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
None
Affected software
Gitlab -> Gitlab 

 References:
https://gitlab.com/gitlab-org/cves/-/blob/master/2020/CVE-2020-13318.json
https://gitlab.com/gitlab-org/gitlab/-/issues/228915

Copyright 2020, cxsecurity.com

 

Back to Top